/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 区域表管理信息表：TF_YWPN_DMATABLE_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "OSM_T_CUSTOMERS", resultMap = "osmCustomersMap")
@ApiModel
public class OsmCustomers extends Model<OsmCustomers> {
    private static final long serialVersionUID = 1L;

    /**
     * 抄表片区编码
     */
    @ApiModelProperty(value = "抄表片区编码")
    private String organizationCode;

    /**
     * 抄表片区名称
     */
    @ApiModelProperty(value = "抄表片区名称")
   private String organizationName;



    /**
     * 抄表本编码
     */
    @ApiModelProperty(value = "抄表本编码")
    private BigDecimal bookId;
    /**
     * 抄表本名称
     */
    @ApiModelProperty(value = "抄表本名称")
    private String bookName;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String customerCode;

    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String customerName;


    /**
     * 用户地址
     */
    @ApiModelProperty(value = "用户地址")
    private String address;

    /**
     * 用户经纬度
     */
    @ApiModelProperty(value = "用户经纬度")
    private String longitudeLatitude;

    /**
     * 水表表号
     */
    @ApiModelProperty(value = "水表表号")
    private String stampNo;

    /**
     * 水表类型
     */
    @ApiModelProperty(value = "水表类型")
    private String typeName;


    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String telphone;

    /**
     * 用水性质
     */
    @ApiModelProperty(value = "用水性质")
    private String naturename;

    /**
     * 口径
     */
    @ApiModelProperty(value = "口径")
    private int caliber;


    /**
     * 启用时间
     */
    @ApiModelProperty(value = "启用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date enabledTime;

    /**
     * 用户状态
     */
    @ApiModelProperty(value = "用户状态")
    private String usedStatus;

    /**
     * 本月应抄
     */
    @ApiModelProperty(value = "本月应抄")
    private String isARead;




}
