/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.scada.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 区域表管理信息表：TF_YWPN_DMATABLE_W
 *
 * @author admin
 * @date Tue May 18 00:00:00 CST 2021
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "OSM_T_RECORDS", resultMap = "osmRecordsMap")
@ApiModel
public class OsmRecords extends Model<OsmRecords> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "ID", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "$column.comments")
    private String id;

    /**
     * 是否结清
     */
    @ApiModelProperty(value = "是否结清")
    private int ispayment;

    /**
     * 渠道
     */
    @ApiModelProperty(value = "渠道")
   private String typeName;



    /**
     * 抄表水量
     */
    @ApiModelProperty(value = "抄表水量")
    private BigDecimal amount;

    /**
     * 应收金额
     */
    @ApiModelProperty(value = "应收金额")
    private BigDecimal money;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号")
    private String customerCode;
    /**
     * 账务日期
     */
    @ApiModelProperty(value = "账务日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date financialDate;

}
